Package twisted :: Package words :: Module service :: Class Participant

[frames | no frames]

## Class Participant

         Avatar --+
                  |
    Perspective --+
                  |
        Perspective --+
                      |
          Versioned --+
                      |
                     Participant

Method Summary
| `__init__(self, name)`
| `__getstate__(self)`
| `__repr__(self)`
| `addContact(self, contactName)`
| ``attached`(self, client, identity)` Attach a client which implements `IWordsClient` to me.
| `changeStatus(self, newStatus)`
| `detached(self, client, identity)`
| `directMessage(self, recipientName, message, metadata)`
| `getGroupMembers(self, groupName)`
| `getGroupMetadata(self, groupName)`
| `groupMessage(self, groupName, message, metadata)`
| `joinGroup(self, name)`
| `leaveGroup(self, name)`
| `memberJoined(self, member, group)`
| `memberLeft(self, member, group)`
| `notifyStatusChanged(self, contact)`
| `perspective_addContact(self, contactName)`
| `perspective_changeStatus(self, newStatus)`
| `perspective_directMessage(self, recipientName, message, metadata)`
| `perspective_getGroupMembers(self, groupName)`
| `perspective_groupMessage(self, groupName, message, metadata)`
| `perspective_joinGroup(self, name)`
| `perspective_leaveGroup(self, name)`
| `perspective_removeContact(self, contactName)`
| `perspective_setGroupMetadata(self, dict_, groupName)`
| `receiveDirectMessage(self, sender, message, metadata)`
| `receiveGroupMessage(self, sender, group, message, metadata)`
| `removeContact(self, contactName)`
| `setGroupMetadata(self, dict_, groupName)`
| `stopTranscribing(self, voiceName)`
| `transcribeConversationWith(self, voiceName)`
| `upgradeToVersion2(self)`
Inherited from Perspective
| ``brokerAttached`(self, reference, identity, broker)` An intermediary method to override.
| ``brokerDetached`(self, reference, identity, broker)` See `brokerAttached`.
Inherited from Perspective
| ``getIdentityRequest`(self)` Request my identity.
| ``getPerspectiveName`(self)` Return the unique name of this perspective.
| ``getService`(self)` Return a service.
| ``isCached`(self)`
| ``makeIdentity`(self, password)` Make an identity from this perspective with a password.
| ``setCached`(self)`
| ``setIdentity`(self, ident)` Determine which identity I connect to.
| ``setIdentityName`(self, name)`
| ``setService`(self, service)` Change what service I am a part of.
Inherited from Avatar
| ``perspectiveMessageReceived`(self, broker, message, args, kw)` This method is called when a network message is received.
Inherited from Versioned
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`int` | `persistenceVersion` = 2
Inherited from Perspective
`tuple` | `__implements__` = `(<class twisted.cred.perspective.IPersp...`
`int` | `_attachedCount` = 0
`int` | `_service_cached` = 0
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Method Details

### attached(self, client, identity)

Attach a client which implements `IWordsClient` to me.

  Overrides:
    `twisted.cred.perspective.Perspective.attached`

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        2

Generated by Epydoc 2.0 on Sat May 15 20:08:12 2004 | http://epydoc.sf.net